﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Layouts;

namespace TileManagerWithBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            var viewModel = new MyViewModel();

            InitializeComponent();

            DataContext = viewModel;
        }

        private void ClickToMinimizeAll(object sender, RoutedEventArgs e)
        {
            foreach (var maximizedItem in this.TileManager.Items)
            {
                var tile = maximizedItem as XamTile;

                if (tile != null) tile.IsMaximized = false;
            }
        }
    }
}
